# Test file for ERB Packages
require 'Core/Packages'

# Describe test cases
describe PackerFiles::Core::Packages do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj      = PackerFiles::Core::Packages.new
     file    = PackerFiles.DirPath('CentOS/Templates/Packages_erb.rb').first
     obj.list = ['open-ssh-server', 'docker']
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('open-ssh-server')
     result.should include('docker')
  end

end
