# Test file for ERB User
require 'Core/User'

# Describe test cases
describe PackerFiles::Core::User do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj      = PackerFiles::Core::User.new
     file    = PackerFiles.DirPath('CentOS/Templates/User_erb.rb').first
     obj.login    =     'login'
     obj.name     =     'NAME'
     obj.password =     'password'
     obj.groups   =     ['admin', 'wheel', 'sudo']
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('login')
     result.should include('password')
     result.should include('admin')
     result.should include('wheel')
     result.should include('sudo')
  end

end
