# Test file for Ubuntu CD class in Ubuntu Server OS
require 'OS/Ubuntu/CD'

# Describe test cases
describe PackerFiles::Ubuntu::CD do

  #  Check for very basic variables
  it 'checks url list' do
     cd   = PackerFiles::Ubuntu::CD.new
     cd.get_iso_name_pattern.should include('@arch@')
     cd.get_check_sum_pattern.should include('MD5SUMS')
     cd.get_check_sum_type.should include('md5')
  end
  
  #  Check for very basic variables
  it 'checks if the URL list is correct for a given Country' do
     cd   = PackerFiles::Ubuntu::CD.new
     cd.get_iso_name_pattern.should include('@arch@')
     cd.get_check_sum_pattern.should include('MD5SUMS')
     cd.get_check_sum_type.should include('md5')
     urls    = cd.index_urls
     urls.size.should >= 1
     urls.each do |url|
        url.should include('@release@')
     end
  end

end
