# Test file for AutoZone
require 'Utils/AutoZone'

# Describe test cases
describe PackerFiles::Utils::AutoZone do

  # Check country code functionality
  it 'checks country code' do
     tz = PackerFiles::Utils::AutoZone.new
     tz.JSON.should eql(tz.class.Cache)
  end

  # Check TimeZone functionality
  it 'checks time zone' do
     tz = PackerFiles::Utils::AutoZone.new
     tz.country_code.should_not be_nil
     tz.country_code.should_not be_empty
     (c, a) = tz.country_area_code
     c.should_not be_nil
     c.should_not be_empty
     a.should_not be_nil
     c.should_not be_empty
  end

  # Check timezone
  it 'checks time zone' do
     tz = PackerFiles::Utils::AutoZone.new
     tz.time_zone.should_not be_nil
     tz.time_zone.should_not be_empty
     tz.class.Cache['timezone'].should eql(tz.time_zone)
  end

end
