# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'PackerFiles/version'

Gem::Specification.new do |spec|
  spec.name          = "PackerFiles"
  spec.version       = PackerFiles::VERSION
  spec.authors       = ["Anand Venkatanarayanan"]
  spec.email         = ["external_mails_anandv-github@yahoo.co.in"]
  spec.description   = %q{Generates Packer files based on a simple spec. file for certain configurations.}
  spec.summary       = %q{Generates Packer files based on a simple spec. file for certain configurations.}
  spec.homepage      = "https://github.com/anandvenkatanarayanan/PackerFiles/"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib", 
                        File.join("lib", spec.name), 
                        File.join("lib", spec.name, "OS")
                       ]

  # Development dependencies
  spec.add_development_dependency "bundler", "~> 1.5",         ">= 1.5"
  spec.add_development_dependency "rake",    "~> 10.3.2",      ">= 10.3.2"
  spec.add_development_dependency "rspec",   "~> 2.99.0",      ">= 2.99.0"
  
  # Run Time dependencies
  spec.add_runtime_dependency 'thor',        "~> 0.19.1",     ">= 0.19"
  spec.add_runtime_dependency 'json',        "~> 1.8.1",      ">= 1.8.1"
  spec.add_runtime_dependency 'erubis',      "~> 2.7.0",      ">= 2.7.0"
  spec.add_runtime_dependency 'nokogiri',    "~> 1.6.3",      ">= 1.6.3"

end

