# Test file for DebianCD class in Debian Server OS
require 'OS/Debian/CD'

# Describe test cases
describe PackerFiles::Debian::CD do

  #  Check for very basic variables
  it 'checks url list' do
     cd   = PackerFiles::Debian::CD.new
     cd.get_iso_name_pattern.should include('@arch@')
     cd.get_check_sum_pattern.should include('MD5SUMS')
     cd.get_check_sum_type.should include('md5')
  end
  
  #  Check for very basic variables
  it 'checks if the URL list is correct for a given Country' do
     cd   = PackerFiles::Debian::CD.new
     cd.get_iso_name_pattern.should include('@arch@')
     cd.get_check_sum_pattern.should include('MD5SUMS')
     cd.get_check_sum_type.should include('md5')
     urls    = cd.index_urls
     urls.size.should >= 2
     urls.each do |url|
        url.should include('@release@')
        url.should include('@arch@')
        url.should include('iso-cd/')
     end
  end

end
