# Test file for ERB Apt
require 'OS/Debian/Apt'

# Describe test cases
describe PackerFiles::Debian::Apt do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj        = PackerFiles::Debian::Apt.new
     file       = PackerFiles.DirPath('Debian/Templates/Apt_erb.rb').first
     obj.tasks  = ['standard', 'laptop']
     obj.kernel = 'linux-virtual'
     obj.normalize
     result = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('standard')
     result.should include('laptop')
     result.should include('linux-virtual')
  end

end
